unit uFormPesqTanques;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uFormModelodePesquisa, StdCtrls, Buttons, Grids, DBGrids, daEdit,
  ExtCtrls, FMTBcd, SqlExpr, Provider, DB, DBClient;

type
  TfrmPesqTanques = class(TfrmModelodePesquisa)
    DSPesqTanques: TDataSource;
    CDSPesqTanques: TClientDataSet;
    DSPPesqTanques: TDataSetProvider;
    SDSPesqTanques: TSQLDataSet;
    SDSPesqTanquesID_LOTE: TIntegerField;
    SDSPesqTanquesID_TANQUE: TIntegerField;
    SDSPesqTanquesQTDE_ESTOCADA: TIntegerField;
    SDSPesqTanquesVOLUME_TANQUE: TFMTBCDField;
    SDSPesqTanquesFLAG: TSmallintField;
    CDSPesqTanquesID_LOTE: TIntegerField;
    CDSPesqTanquesID_TANQUE: TIntegerField;
    CDSPesqTanquesQTDE_ESTOCADA: TIntegerField;
    CDSPesqTanquesVOLUME_TANQUE: TFMTBCDField;
    CDSPesqTanquesFLAG: TSmallintField;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPesqTanques: TfrmPesqTanques;

implementation

uses uDM, uFormRegLancamentos;

{$R *.dfm}

procedure TfrmPesqTanques.FormShow(Sender: TObject);
begin
  inherited;
  SDSPesqTanques.Close;
  CDSPesqTanques.Close;
  SDSPesqTanques.ParamByName('id_lote').AsInteger := frmRegLancamentos.CDSRegLancamentosID_LOTE.AsInteger;
  CDSPesqTanques.Open;
end;

end.
